Browsers

 

 

Browsers

Latest news

From 12 January 2016 Microsoft has ended support for all older version of Internet Explorer. Lumesse are unable to commit to supporting Microsoft’s technology beyond their own support commitment. You can read more about Microsoft’s end of support for older versions of Internet Explorer here.

Therefore during February 2017, with the release of TalentLink 17.1, Lumesse will withdraw support and compatibility testing of Internet Explorer 8 and Internet Explorer 9.

Whilst we do not expect current functionality of Lumesse TalentLink to stop working in Internet Explorer 8 or 9, from February 2017 onwards, any reported issues by users of Internet Explorer 8 or Internet Explorer 9 will need to be reproduced on Internet Explorer 10 or above, or one of our the other supported browsers.

General Information

Lumesse recognises that withdrawing support from mainstream browser versions is inconvenient for our users/customers. For each release we will provide information on the browsers and versions that are supported. PC browser tests are undertaken using Windows Operating System.

IMPORTANT – whilst we regularly update the information on this page, we are unable to commit to it being current, correct or complete as the providers of the third party technology (including browsers) that we or you may use for or in connection with our products continue to develop that technology and/or vary the support available for it and, as such, we shall not be liable for any loss or damage howsoever arising (whether in contract, tort, including negligence, by law or otherwise) out of or in connection with the impact of those changes on your ability to enjoy our products.

Withdrawing Support for Browsers

We aim to continue to support a browser/version for as long as possible. However, if continuing to support a browser/version will adversely affect the use of our products then we will review the continued support of such a browser/version.

If we decide to withdraw support for a browser/version we will provide 3 months' notice in writing of that decision.

Supporting Browsers/Versions

We review the browsers/versions that we will support whenever we produce a new release of a product.

We will NOT support new browsers/versions for existing product versions that are generally available.

Support for new browsers/versions will only be included in new versions of a product.

Product browser compliancy

  • Desktop
    • TalentLink

      The following table shows which browsers/versions are supported by TalentLink:

    • iGrasp

      The following table shows which browsers/versions are supported by i-GRasp:

      Browser: Version:
      Internet Explorer IE 11
      Google Chrome Current and Last Major Version
      Firefox Current and Last Major Version
      Safari Current and Last Major Version
    • ETWeb Enterprise

      The following table shows which browsers/versions are supported for Lumesse ETWeb. Exceptions and extra information are indicated by the use of "†" and appear below the table.

      Browser: Version:
      Internet Explorer IE 8 IE 9
      Firefox Firefox 3
      Browser: Version:
      Internet Explorer IE 8 IE 9
      Firefox Firefox 6
      Safari †† Safari 5.x

      †† Not supported for use with OrgPublisher 7.5.

      Browser: Version:
      Internet Explorer IE 8 IE 9
      Firefox †† Firefox 6
      Safari †† Safari 5.x

      †† Not supported for use with OrgPublisher 7.5.

      Browser: Version:
      Internet Explorer IE 8 IE 9 IE 10 IE 11
      Firefox †† Firefox 22
      Safari †† Safari 5.1.7

      †† Not supported for use with OrgPublisher 7.5.

      Browser: Version:
      Internet Explorer IE 8 IE 9 IE 10 IE 11
      Firefox †† Firefox 22
      Safari †† Safari 5.1.7

      †† Not supported for use with OrgPublisher 7.5.

      Browser: Version:
      Internet Explorer IE 9 IE 10 IE 11
      Firefox †† Firefox 38
      Safari †† Safari 5.1.7
      Google Chrome †† Current Stable Release

      †† Not supported for use with OrgPublisher 7.5.

      Browser: Version:
      Internet Explorer IE 11
      Microsoft Edge Current Stable Release
      Google Chrome †† Current Stable Release

      †† Not supported for use with OrgPublisher 7.5.

    • ETWeb Empower

      The following table shows which browsers/versions are supported by ETWeb Empower

      Browser: Version:
      Internet Explorer IE 11
      Microsoft Edge Current Stable Revision
      Google Chrome Current Stable Revision
      Browser: Version:
      Internet Explorer IE 11
      Microsoft Edge Current Stable Revision
      Google Chrome Current Stable Revision
      Browser: Version:
      Internet Explorer IE 11
      Microsoft Edge Current Stable Revision
      Google Chrome Current Stable Revision
      Browser: Version:
      Internet Explorer IE 11
      Microsoft Edge Current Stable Revision
      Google Chrome Current Stable Revision
      Browser: Version:
      Internet Explorer IE 11
      Microsoft Edge Current Stable Revision
      Google Chrome Current Stable Revision
      Browser: Version:
      Internet Explorer IE 11
      Microsoft Edge Current Stable Revision
      Google Chrome Current Stable Revision
    • Learning Gateway

      The following table shows which browsers/versions are supported for Lumesse Learning Gateway.

      Browser: Version:
      Internet Explorer IE 6 † IE 8 IE 9 IE 10 IE 11
      Firefox †† Current Stable Revision
      Google Chrome †† Current Stable Revision
      Safari 5.x (PC) Current Stable Revision
      Opera †† Current Stable Revision
      Browser: Version:
      Internet Explorer IE 8 IE 9 IE 10 IE 11
      Firefox †† Current Stable Revision
      Google Chrome †† Current Stable Revision
      Safari 5.x (PC) Current Stable Revision
      Browser: Version:
      Internet Explorer IE 9 IE 10 IE 11
      Firefox †† Current Stable Revision

      † Though our Learning portal does not support IE6, we have an older interface that does.

      †† We always support and test on the newest version of this browser. When a new version is released, we will stop testing on the former version and officially switch our support after our next full release cycle.

    • Lumesse CourseBuilder v6

      The following table shows which browsers/versions are supported for Lumesse CourseBuilder v6. Please note that all desktop versions require Flash 9 or later to author or run Flash-version courses.

      Browser: Version:
      Internet Explorer IE 6 IE 7 IE 8 IE 9 IE 10
      Firefox Firefox 10.x Firefox 16.x
      Google Chrome Chrome 12.x Chrome 22 (PC) Chrome 23(Mac)
      Safari Safari 5.x (PC) Safari 6.x (Mac OSX 10.8)
      Opera Opera 12
      Browser: Version:
      Internet Explorer IE 9 IE 10
      Firefox Firefox 16.x
      Google Chrome Chrome 22 (PC) Chrom 23 (Mac)
      Safari Safari 5.x (PC) Safari 5.x (Mac OSX 10.8)
      Opera Opera 12
      Browser: Version:
      Internet Explorer IE 6 IE 7 IE 8 IE 9 IE 10
      Firefox Firefox 10.x Firefox 16.x
      Google Chrome Chrome 12.x Chrome 22 (PC) Chrome 23(Mac)
      Safari Safari 5.x (PC) Safari 6.x (Mac OSX 10.8)
      Opera Opera 12
      Browser: Version:
      Internet Explorer IE 9 IE 10
      Firefox Firefox 16.x
      Google Chrome Chrome 22 (PC) Chrom 23 (Mac)
      Safari Safari 5.x (PC) Safari 5.x (Mac OSX 10.8)
      Opera Opera 12

      Note: All desktop versions require Flash 10 or later to author content of Flash 9 or later to run the Flash version of courses

    • Lumesse CourseBuilder v7

      The following table shows which browsers/versions are supported for Lumesse CourseBuilder v7.

      Browser: Version:
      Internet Explorer IE 9 IE 10 IE 11
      Microsoft Edge Edge 12
      Firefox Firefox 40
      Google Chrome Chrome 40
      Safari Safari 8
      Opera Opera 32 †
      Browser: Version:
      Internet Explorer IE 9 IE 10 IE 11
      Microsoft Edge Edge 12
      Firefox Firefox 40
      Google Chrome Chrome 40
      Safari Safari 8
      Opera Opera 32 †

      † Not fully tested, but expected to work

      * Currently in test

    • Lumesse Check

      The following table shows which browsers/versions are supported by Lumesse Check

      Browser: Version:
      Internet Explorer IE 11
      Microsoft Edge Current Stable Revision
      Firefox Current Stable Revision
      Google Chrome Current Stable Revision
      Browser: Version:
      Internet Explorer IE 11
      Microsoft Edge Current Stable Revision
      Firefox Current Stable Revision
      Google Chrome Current Stable Revision
    • Lumesse Video

      The following table shows which browsers/versions are supported the Lumesse Video recorder

      Browser: Version:
      Internet Explorer IE 10+
      Google Chrome Chrome 24.0+
      Firefox Firefox 16+
      Safari Safari 4+
      Opera Opera 10.6+
      Browser: Version:
      Internet Explorer IE 10+
      Google Chrome Chrome 35.0+
      Firefox Firefox 31.0+
      Safari Safari 5.1+
      Opera Opera 25+
  • Mobile
    • TalentLink

      The following table shows which browsers/versions are supported by TalentLink:

      + Limited support – Only selected functionalities are available on mobile devices.

    • iGrasp

      The following table shows which browsers/versions are supported by i-GRasp:

      Browser: Version:
      Safari (iOS) Current Stable Revision
      Google Chrome (Android) Current Stable Revision

      Note: Back Office not Supported On Mobile

    • ETWeb Enterprise

      The following table shows which browsers/versions are supported for Lumesse ETWeb Enterprise. Exceptions and extra information are indicated by the use of "†" and appear below the table.

      Browser: Version:
      Safari iOS 6 (iPad) †
      Browser: Version:
      Safari iOS 7 (iPad) †
      Browser: Version:
      Safari iOS 8 (iPad) †
      Browser: Version:
      Safari iOS 9 (iPad)

      † This update supports key ETWeb features and functionality and enables users to use the system on this specific mobile device. Some users interactions and features are limited due to the nature of the device.

    • ETWeb Mobile

      We support iOS (iPhone 4/5) and Android Operating Systems (OSs). The following OS/Browser versions are officially supported for ETWeb Mobile v1.0.

      Operating System Browser
      iOS 5 Safari
      iOS 6 Safari
      iOS 7* Safari
      Android 4.1.x Google Chrome Built-in
      Android 4.2.x Google Chrome
      Android 4.3.x Google Chrome
      Android 4.4.x Google Chrome
      Operating System Browser
      iOS 7 Safari
      Android 4.1.x Google Chrome
      Android 4.2.x Google Chrome
      Android 4.3.x Google Chrome
      Android 4.4.x Google Chrome

      * = SSO only works with iOS 7.0.3 and further iOS versions.

    • ETWeb Empower

      The following table shows which browsers/versions are supported by ETWeb empower

      Operating System Browser
      iPad Safari (iOS 8)
      Operating System Browser
      iPad Safari (iOS 9)
      Operating System Browser
      iPad Safari (iOS 9)
      Operating System Browser
      iPad Safari (iOS 10)
      Android Tablet Google Chrome
      Operating System Browser
      iPad Safari (iOS 11)
      Android Tablet Google Chrome
      Operating System Browser
      iPad Safari (iOS 11)
      Android Tablet Google Chrome
    • Lumesse CourseBuilder v6
      Operating System Browser
      Android 4.1 or Later Default Browser * Google Chrome * Firefox * Opera *
      iOS 8 or Later Safari Google Chrome ††
      Windows 8 Tablets IE 10
      Windows 8 PRO (Intel Based Tablets) IE 10 Google Chrome** Firefox** IE 10**
      Windows 8 Phone IE 10**

      * Latest version of browser at the time of release of 6M is assumed; this varies from device to device. When taking into account that each device can have its own upgrade cycle, new versions are too frequent to fully test, but will normally be without issues.

      ** Under testing

      †† Chrome for iOS is currently not supported due to bugs in Chrome that prevent correct tracking of content to LMS.

    • Lumesse CourseBuilder v7
      Operating System Browser
      Android 4.1 or Later Default Browser Google Chrome Firefox Opera
      iOS 8 or Later Safari Google Chrome Firefox IE 10
      Windows 8 PRO/Windows 10 (Intel Based Tablets) IE 10/11/Edge Google Chrome Firefox † IE 10 †

      † Not fully tested, but expected to work

    • Lumesse Check
      Safari (iOS) Current Stable Revision
      Android Browser Current Stable Revision

      Note: Back Office is not supported on mobile

    • Lumesse Video
      Browser Version
      Android Browser Android Browser 4.1+
      Chrome for Android Chrome 46+
      Safari Safari 7.1
      Browser Version
      Android Browser Android Browser 4.1+
      Safari Safari 7.1